/*
 * Copyright (C) 2011 ~ 2017 Deepin Technology Co., Ltd.
 *
 * Author:     sbw <sbw@sbw.so>
 *             kirigaya <kirigaya@mkacg.com>
 *             Hualet <mr.asianwang@gmail.com>
 *
 * Maintainer: sbw <sbw@sbw.so>
 *             kirigaya <kirigaya@mkacg.com>
 *             Hualet <mr.asianwang@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SETTINGSOPTIONITEM_H
#define SETTINGSOPTIONITEM_H

#include <QWidget>
#include <QLabel>

namespace dcc {

namespace display {

class SettingsOptionItem : public QFrame
{
    Q_OBJECT

public:
    explicit SettingsOptionItem(QWidget *parent = 0);

    void setTitle(const QString &title);
    void setSelected(const bool checked);

signals:
    void clicked();

protected:
    void mouseReleaseEvent(QMouseEvent *e) Q_DECL_OVERRIDE;

private:
    QLabel *m_title;
    QLabel *m_icon;
};

} // namespace display

} // namespace dcc

#endif // SETTINGSOPTIONITEM_H
